/*
 * Copyright 2003-2016 The Music Player Daemon Project
 * http://www.musicpd.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef MPD_COMMAND_ERROR_HXX
#define MPD_COMMAND_ERROR_HXX

#include "CommandResult.hxx"
#include "PlaylistError.hxx"

#include <exception>

class Response;
class Error;

CommandResult
print_playlist_result(Response &r, PlaylistResult result);

/**
 * Send the #Error to the client.
 */
CommandResult
print_error(Response &r, const Error &error);

void
PrintError(Response &r, std::exception_ptr ep);

#endif
